%define expat_version           1.95.5

%define lib_major 3
%define lib_api 1
%define lib_name %mklibname dbus- %{lib_api} %{lib_major}
%define subrel 3

Summary: D-Bus message bus
Name: dbus
Version: 0.92
Release: %mkrel 8
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Source1: http://freedesktop.org/Software/dbus/%{name}-docs.tar.bz2 
Source2: dbus.sh.bz2
Source3: dbus.csh.bz2
# (fc) 0.20-1mdk fix start/stop order, add pinit support
Patch0: dbus-0.91-initscript.patch.bz2
# (fc) 0.92-4mdv fix vtable crash (CVS)
Patch1: dbus-0.92-fixvtable.patch.bz2
# (fc) 0.92-4mdv trap SIGTERM to be able to kill bus ourself (Mdv bug #22143)
Patch2: dbus-0.92-sigterm.patch.bz2
Patch3:	dbus-0.92-CVE-2006-6107.patch
Patch4: dbus-CVE-2008-0595.patch

License: AFL/GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libx11-devel
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: xmlto
BuildRequires: automake1.9
BuildRequires: libtool
Requires(pre): rpm-helper
Requires(preun): rpm-helper
Requires(post): rpm-helper
Requires(postun): rpm-helper

%description
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

%package -n %{lib_name}
Summary: Shared library for using D-Bus
Group: System/Libraries

%description -n %{lib_name}
D-Bus shared library.

%package -n %{lib_name}-devel
Summary: Libraries and headers for D-Bus
Group: Development/C
Requires: %{name} = %{version}
Requires: %{lib_name} = %{version}
Provides: lib%{name}-1-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}dbus-1_0-devel

%description -n %{lib_name}-devel

Headers and static libraries for D-Bus.

%package x11
Summary: X11-requiring add-ons for D-Bus
Group: System/Servers
Requires: dbus = %{version}

%description x11
D-Bus contains some tools that require Xlib to be installed, those are
in this separate package so server systems need not install X.

%prep
%setup -q -a1
%patch0 -p1 -b .initscript
%patch1 -p1 -b .fixvtable
%patch2 -p1 -b .sigterm
%patch3 -p1 -b .cve-2006-6107
%patch4 -p1 -b .cve-2008-0595

%build

#needed for correct localstatedir location
%define _localstatedir %{_var}

%configure2_5x \
    --enable-tests=yes \
    --enable-verbose-mode=yes \
    --enable-asserts=yes \
    --disable-selinux \
    --with-system-pid-file=%{_var}/run/messagebus.pid \
    --with-system-socket=%{_var}/run/dbus/system_dbus_socket \
    --with-session-socket-dir=/tmp 

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

# move lib to /, because it might be needed by hotplug script, before
# /usr is mounted
mkdir -p $RPM_BUILD_ROOT/%{_lib} 
mv $RPM_BUILD_ROOT%{_libdir}/*dbus-1*.so.* $RPM_BUILD_ROOT/%{_lib} 
ln -sf ../../%{_lib}/libdbus-%{lib_api}.so.%{lib_major} $RPM_BUILD_ROOT%{_libdir}/libdbus-%{lib_api}.so

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/30dbus
# to be sourced
eval \`/usr/bin/dbus-launch --exit-with-session --sh-syntax\`
EOF
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/30dbus

#initialize DBUS_SYSTEM_BUS_ADDRESS, socket name is not default one
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/dbus.sh
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/dbus.csh
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/dbus.*


#remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd messagebus / /sbin/nologin
%_pre_groupadd daemon messagebus

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service messagebus

%postun
%_postun_userdel messagebus
%_postun_groupdel daemon messagebus

%preun
%_preun_service messagebus

%triggerpostun -- dbus < 0.21-4mdk
/sbin/chkconfig --del messagebus
/sbin/chkconfig --add messagebus

%files
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS

%dir %{_sysconfdir}/dbus-1
%config(noreplace) %{_sysconfdir}/dbus-1/*.conf
%{_sysconfdir}/rc.d/init.d/*
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_var}/run/dbus
%dir %{_libdir}/dbus-1.0
%config(noreplace) %{_sysconfdir}/profile.d/dbus.*
%{_bindir}/dbus-daemon
%{_bindir}/dbus-send
%{_bindir}/dbus-cleanup-sockets
%{_datadir}/man/man*/*
%dir %{_datadir}/dbus-1/
%dir %{_datadir}/dbus-1/services

%files -n %{lib_name}
%defattr(-,root,root)
/%{_lib}/*dbus-%{lib_api}*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/*
%_libdir/libdbus-%{lib_api}.a
%_libdir/libdbus-%{lib_api}.so
%{_libdir}/dbus-1.0/include
%{_libdir}/pkgconfig/dbus-%{lib_api}.pc
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/dbus-address.h
%{_includedir}/dbus-1.0/dbus/dbus-bus.h
%{_includedir}/dbus-1.0/dbus/dbus-connection.h
%{_includedir}/dbus-1.0/dbus/dbus-errors.h
%{_includedir}/dbus-1.0/dbus/dbus-macros.h
%{_includedir}/dbus-1.0/dbus/dbus-memory.h
%{_includedir}/dbus-1.0/dbus/dbus-message.h
%{_includedir}/dbus-1.0/dbus/dbus-pending-call.h
%{_includedir}/dbus-1.0/dbus/dbus-protocol.h
%{_includedir}/dbus-1.0/dbus/dbus-server.h
%{_includedir}/dbus-1.0/dbus/dbus-shared.h
%{_includedir}/dbus-1.0/dbus/dbus-signature.h
%{_includedir}/dbus-1.0/dbus/dbus-threads.h
%{_includedir}/dbus-1.0/dbus/dbus-types.h
%{_includedir}/dbus-1.0/dbus/dbus.h

%files x11
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/*
%{_bindir}/dbus-launch
%{_bindir}/dbus-monitor

%changelog
* Wed Feb 27 2008 Vincent Danen <vdanen@mandriva.com> 0.92-8.3mdv2007.0
- P6: security fix for CVE-2008-0595

* Mon Dec 18 2006 Vincent Danen <vdanen@mandriva.com> 0.92-8.2mdv2007.0
- P3: security fix for CVE-2006-6107

* Wed Nov 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92-8mdv2007.0
- Fix csh profile.d script (reported by Fabrice Boyrie)

* Tue Nov 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92-7mdv2007.0
- Workaround non standard socket path (GNOME bug #362601) (Mdv bug #27160)

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 0.92-6mdv2007.0
- fix buildrequires

* Tue Aug 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92-5mdv2007.0
- Enable asserts and verbose mode, since dbus isn't 1.0 yet (J5)

* Tue Aug 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92-4mdv2007.0
- Patch1 (CVS): fix vtable crash
- Patch2: trap SIGTERM to be able to kill session bus (Mdv bug #22143)

* Thu Aug 24 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.92-3
- fix xinit.d script to use sh-syntax, since it is always sourced by /bin/sh

* Thu Aug 24 2006 Olivier Blin <blino@mandriva.com> 0.92-2mdv2007.0
- prefix the xinit.d script with a 2 digit number
- the xinit.d script is not a config file

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92-1mdv2007.0
- Release 0.92
- remove patch1 (merged upstream)

* Thu Aug 17 2006 Frederic Crozat <fcrozat@mandriva.com> 0.91-5mdv2007.0
- Patch1 (CVS): fix threads deadlock

* Wed Aug  9 2006 Gtz Waschk <waschk@mandriva.org> 0.91-4mdv2007.0
- fix the patch again

* Wed Aug  9 2006 Gtz Waschk <waschk@mandriva.org> 0.91-3mdv2007.0
- update patch with a fix for bug #21935

* Mon Aug  7 2006 Gtz Waschk <waschk@mandriva.org> 0.91-2mdv2007.0
- fix buildrequires

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.90-1mdv2007.0
- Release 0.90
- Remove bindings (packaged seperately now)
- Add conflicts to ease upgrade from 2006.0

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 0.62-5mdv2007.0
- remove some useless static libs
- fix postun script of the sharp package

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.62-4mdv2007.0
- don't depend on kdelibs

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.62-3mdv2007.0
- Regenerate patch0 and merge patch1 in it
- add strict rules for lib major in file list
- fix localstatedir location (Mdv bug #23107)

* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.62-2mdv2007.0
- Rebuild with correct major for qt

* Mon Jun 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.62-1mdv2007.0
- Release 0.62
- Remove patch2 (merged upstream)

* Tue May  9 2006 Gtz Waschk <waschk@mandriva.org> 0.61-5mdk
- fix dbus-sharp pkgconfig file for x86_64

* Thu May  4 2006 Gtz Waschk <waschk@mandriva.org> 0.61-4mdk
- fix x86_64 build

* Mon Apr 24 2006 Gtz Waschk <waschk@mandriva.org> 0.61-3mdk
- fix postun of the sharp package

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.61-2mdk
- merge sharp bindings

* Tue Feb 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.61-1mdk
- Release 0.61
- Remove patch2, no longer needed
- Patch2: allow to disable QT4 binding

* Thu Jan 26 2006 Michael Scherer <misc@mandriva.org> 0.60-2mdk
- fix missing Requires on python binding ( thanks Christiaan Welvaart )

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.60-1mdk
- Release 0.60
- Regenerate patch2
- Remove patch3 (merged upstream)

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.50-7mdk
- convert parallel init to LSB

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.50-6mdk
- drop selinux support

* Thu Jan 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.50-5mdk
- use mkrel
- fix buildrequires 

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 0.50-4mdk
- Patch1: parallel init support

* Tue Dec 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.50-3mdk
- patch3: use $(LIBTOOL) in Makefile.am
- fix URL

* Mon Nov 07 2005 Frederic Crozat <fcrozat@mandriva.com> 0.50-2mdk
- Enforce sub package dependency (found by till)

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 0.50-1mdk
- Release 0.50
- Remove patches 3, 5 (merged upstream)

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 0.23.4-5mdk
- move qt headers to the right package
- replace prereq

* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 0.23.4-4mdk
- rebuild to remove glitz dep

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.23.4-3mdk
- enable possibility to build without qt/kde stuff

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 0.23.4-2mdk
- add provides to the libdbus-glib package

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.23.4-1mdk
- drop patch 6
- New release 0.23.4

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23.2-2mdk 
- Patch6 (CVS): fix python binding

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23.2-1mdk 
- Release 0.23.2
- Remove patch4 (merged upstream)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23.1-1mdk 
- Release 0.23.1
- Patch5 (CVS): fix crash when setting group policy

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-5mdk 
- Move dbus xinit launcher in dbus-x11 package (Mdk bug #13075)

* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.23-4mdk
- let devel symlinks stay in standard libdir

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-3mdk 
- Patch3 (Fedora): allow uid/gid to identify user/group
- Patch4 (Fedora): restrict connection to user session bus to owner or root

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.23-2mdk
- add missing directory

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.23-1mdk
- drop patches 1,3
- update source URL
- New release 0.23

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-7mdk 
- automatically start dbus when starting a X11 session

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.22-6mdk
- Rebuild for new python

* Mon Nov 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.22-5mdk
- add BuildRequires: kdelibs-devel

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-4mdk
- create Qt development package

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.22-3mdk
- explicitly disable Mono bindings

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.22-2mdk
- fix detection of moc path
- merge in RH in64 fix for python bindings

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22
- Remove patch1 (merged upstream)
- enable libtoolize 
- Patch1 (Fedora): add console policy

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-4mdk
- Update patch 20 to change start order (should fix bluetooth daemon start)

* Wed Jun 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.21-3mdk
- add docs to -devel, dbus-monitor fixes from cvs (patch1)

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 0.21-2mdk
- Rebuild

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- fix qt build
- drop merged patch 1
- fix URL
- new version

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.20-7mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-6mdk
- Don't package .la, since we are moving some lib to %{_lib}

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-5mdk
- Enable python bindings
- Patch1 (CVS): fix python signals

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-4mdk
- Add missing deps in devel package

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Move dbus shared library to %{_lib}, needed for hotplug script (Mdk bug 7053)

* Wed Jan 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-2mdk
- Fix session socket directory location

* Mon Jan 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-1mdk
- Initial Mdk package
- Patch0: fix lock directory location

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-6
- hmm, dbus doesn't support uids in the config file. fix.

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-5
- put uid instead of username in the config file, to keep things working with name change

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-4
- make subpackages require the specific release, not just version, of base package

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-3
- change system user "messagebus" -> "dbus" to be under 8 chars

* Mon Sep 29 2003 Havoc Pennington <hp@redhat.com> 0.13-2
- see if removing qt subpackage for now will get us through the build system,
  qt bindings not useful yet anyway

* Sun Sep 28 2003 Havoc Pennington <hp@redhat.com> 0.13-1
- 0.13 fixes a little security oops

* Mon Aug  4 2003 Havoc Pennington <hp@redhat.com> 0.11.91-3
- break the tiny dbus-launch that depends on X into separate package
  so a CUPS server doesn't need X installed

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 17 2003 Havoc Pennington <hp@redhat.com> 0.11.91-1
- 0.11.91 cvs snap properly merges system.d

* Fri May 16 2003 Havoc Pennington <hp@redhat.com> 0.11.90-1
- build a cvs snap with a few more fixes

* Fri May 16 2003 Havoc Pennington <hp@redhat.com> 0.11-2
- fix a crash that was breaking cups

* Thu May 15 2003 Havoc Pennington <hp@redhat.com> 0.11-1
- 0.11

* Thu May 15 2003 Havoc Pennington <hp@redhat.com> 0.10.90-1
- use rc.d/init.d not init.d, bug #90192
- include the new man pages

* Fri Apr 11 2003 Havoc Pennington <hp@redhat.com> 0.9-1
- 0.9
- export QTDIR explicitly
- re-enable qt, the problem was most likely D-BUS configure

* Tue Apr  1 2003 Havoc Pennington <hp@redhat.com> 0.6.94-1
- update from CVS with a fix to set uid after gid

* Tue Apr  1 2003 Havoc Pennington <hp@redhat.com> 0.6.93-1
- new cvs snap that actually forks to background and changes 
  user it's running as and so forth
- create our system user in pre

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.92-1
- fix for "make check" test that required a home directory

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.91-1
- disable qt for now because beehive hates me
- pull a slightly newer cvs snap that creates socket directory
- cat the make check log after make check fails

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.90-1
- initial build

